com.io7m.jstructural.core

## Class SText

- java.lang.Object
- - com.io7m.jstructural.core.SText

- All Implemented Interfaces:
    SFootnoteContent, SLinkContent, SListItemContent, SParagraphContent, STableCellContent

      @Immutable
      public final class SText
      extends Object
      implements SParagraphContent, SLinkContent, SListItemContent, SFootnoteContent, STableCellContent

  A text element.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `<A> A` | `footnoteContentAccept(SFootnoteContentVisitor<A> v)` Accept a footnote content visitor.
    `String` | `getText()`
    `int` | `hashCode()`
    `<A> A` | `linkContentAccept(SLinkContentVisitor<A> v)` Accept a link content visitor.
    `<A> A` | `listItemContentAccept(SListItemContentVisitor<A> v)` Accept a list item content visitor.
    `<A> A` | `paragraphContentAccept(SParagraphContentVisitor<A> v)` Accept a paragraph content visitor.
    `<A> A` | `tableCellContentAccept(STableCellContentVisitor<A> v)` Accept a table cell content visitor.
    `static SText` | `text(String text)` Construct a new text element.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### text

          @Nonnull
          public static SText text(@Nonnull
                           String text)
                            throws com.io7m.jaux.Constraints.ConstraintError

      Construct a new text element.
      Parameters:
        `text` - The text
      Returns:
        A new text element
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is `null`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### footnoteContentAccept

          public <A> A footnoteContentAccept(@Nonnull
                                    SFootnoteContentVisitor<A> v)
                                  throws com.io7m.jaux.Constraints.ConstraintError,
                                         Exception

      Description copied from interface: `SFootnoteContent`
      Accept a footnote content visitor.
      Specified by:
        `footnoteContentAccept` in interface `SFootnoteContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### getText

          @Nonnull
          public String getText()

      Returns:
        The term's text

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### linkContentAccept

          public <A> A linkContentAccept(@Nonnull
                                SLinkContentVisitor<A> v)
                              throws com.io7m.jaux.Constraints.ConstraintError,
                                     Exception

      Description copied from interface: `SLinkContent`
      Accept a link content visitor.
      Specified by:
        `linkContentAccept` in interface `SLinkContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### listItemContentAccept

          public <A> A listItemContentAccept(@Nonnull
                                    SListItemContentVisitor<A> v)
                                  throws com.io7m.jaux.Constraints.ConstraintError,
                                         Exception

      Description copied from interface: `SListItemContent`
      Accept a list item content visitor.
      Specified by:
        `listItemContentAccept` in interface `SListItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### paragraphContentAccept

          public <A> A paragraphContentAccept(@Nonnull
                                     SParagraphContentVisitor<A> v)
                                   throws com.io7m.jaux.Constraints.ConstraintError,
                                          Exception

      Description copied from interface: `SParagraphContent`
      Accept a paragraph content visitor.
      Specified by:
        `paragraphContentAccept` in interface `SParagraphContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

    - #### tableCellContentAccept

          public <A> A tableCellContentAccept(@Nonnull
                                     STableCellContentVisitor<A> v)
                                   throws com.io7m.jaux.Constraints.ConstraintError,
                                          Exception

      Description copied from interface: `STableCellContent`
      Accept a table cell content visitor.
      Specified by:
        `tableCellContentAccept` in interface `STableCellContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

Copyright © 2014 <code@io7m.com> http://io7m.com